设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 425|回复: 6

[求助] 【已解决】 从文本中读取参数赋给textbox不显示内容,请教如何刷新?

[复制链接]

已领礼包: 4个

财富等级: 恭喜发财

发表于 2019-5-3 15:38:21 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
本帖最后由 newer 于 2019-5-4 20:35 编辑

打开参数文件读取一行数值赋给textbox
实例:((dcl-Control-SETText te/Form1/TextBox1 (nth 1 data_list)))
texbox为空白,不能主动显示内容,非得用鼠标点击下textbox控件才显示所读取的内容,请教高手如何刷新?

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 19个

财富等级: 恭喜发财

发表于 2019-5-3 20:52:20 | 显示全部楼层
本帖最后由 Lisphk 于 2019-5-3 20:54 编辑

每个控件都有REDRAW方法的另外,你这句代码是怎么调用的? 点按钮,还是初始化?
你遇到问题,不一定是你这行代码的事,也可能是其他的地方,贴上ODCL文件和完整的代码吧。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 1 反对 0

使用道具 举报

已领礼包: 4个

财富等级: 恭喜发财

 楼主| 发表于 2019-5-3 22:40:10 | 显示全部楼层
谢谢Lisphk 的无私帮助,加一行(dcl-Control-redraw te/Form1/TextBox1)解决了。


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 6464个

财富等级: 富甲天下

发表于 2019-5-4 00:10:24 | 显示全部楼层
楼主的代码呢?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 5512个

财富等级: 富甲天下

发表于 2019-5-4 00:32:19 | 显示全部楼层
从文本中读取参数赋给textbox不显示内容,请教如何刷新?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 953个

财富等级: 财运亨通

发表于 2019-5-4 09:26:25 | 显示全部楼层
学习一下,谢谢分享
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 4个

财富等级: 恭喜发财

 楼主| 发表于 2019-5-4 19:44:22 | 显示全部楼层
本帖最后由 施工_G54j6 于 2019-5-4 20:24 编辑
施工_G54j6 发表于 2019-5-3 22:40
谢谢Lisphk 的无私帮助,加一行(dcl-Control-redraw te/Form1/TextBox1)解决了。

大神,我有以下代码老是说函数错误,错误提示如下,请教下问题在哪。
以下是代码
(setq ss (ssget "x" '((0 . "POLYLINE"))))  ;选择polyline
(if  (/= ss nil)                                
     (command "convert" "a" ss)            ;二维多段线转多段线
  )

命令提示:
convert
输入要转换的对象类型 [图案填充(H)/多段线(P)/全部(A)] <全部>: a
输入对象选择选项 [选择(S)/全部(A)] <全部>:
无效的选项关键字。
; 错误: 函数被取消
网上找到一篇资料实现了,但线型全没了,不知道如何解决。
;二维多段线与多段线互相转换
(defun c:tes ( / &k1 &kw1 a10 a42 a70 a8 a90 ent ss1 ss2 ss5 x)
(vl-load-com)
(princ "\n请选择对象")
(if (setq &kw1 (ssget '((0 . "*POLYLINE"))))
  (progn;;1
   (setq ss1 '())
   (while (setq &k1 (ssname &kw1 0))
    (setq &kw1 (ssdel &k1 &kw1) ss1 (cons &k1 ss1))
   );while
   
   (if (setq ss2 (vl-remove-if-not '(lambda (x) (= (cdr (assoc 0 (entget x))) "POLYLINE")) ss1))
    (progn;;2
     (setq ss1 (vl-remove-if '(lambda (x) (member x ss2)) ss1))
     (while (setq ent (car ss2))
      (setq ss2 (cdr ss2) ss5 (s1712081 ent))
      (if (vlax-curve-isClosed ent) (setq a70 '(70 . 1)) (setq a70 '(70 . 0)))
      (setq a90 (cons 90 (length ss5))
            ss5 (apply 'append ss5)
            a8 (assoc 8 ss5)
            a10 (vl-remove-if-not '(lambda (x) (member (car x) '(10 42))) ss5)
            ss5 (append (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") a8 '(100 . "AcDbPolyline") a90 a70 '(38 . 0)) a10)
      )
      (entmake ss5)
      (entdel ent)
     );while
    );progn;2
   );if;2
   (if (car ss1)
    (progn
     (while (setq ent (car ss1))
      (setq ss1 (cdr ss1) ss5 (entget ent))
      (setq a70 (assoc 70 ss5)
            a8 (assoc 8 ss5)
            a10 (vl-remove-if-not '(lambda (x) (= (car x) 10)) ss5)
            a42 (vl-remove-if-not '(lambda (x) (= (car x) 42)) ss5)
            ss5 (mapcar '(lambda (x) (append (list '(0 . "VERTEX") '(100 . "AcDbEntity") '(67 . 0) a8 '(100 . "AcDbVertex") '(100 . "AcDb2dVertex")) x))
            (mapcar 'cons a10 (mapcar '(lambda (x) (list x a70)) a42)))
      )
      (s1712082 ss5 a70 a8)
      (entdel ent)
     );while
    )
   );if;3
  );progn;1
);if;1
(princ)
)

;entmake生成二维多段线
(defun s1712082 (ss5 a70 a8 / a70 a8 ed ss5)
(entmake (list  '(0 . "POLYLINE") '(100 . "AcDbEntity") a8 '(100 . "AcDb2dPolyline") a70))
(while (setq ed (car ss5))
  (setq ss5 (cdr ss5))
  (entmake ed)
)
(entmake '((0 . "SEQEND")))
)

;提取二维多段线数据
(defun s1712081 (e / e ed pts)
  (if (eq (cdr (assoc 0 (entget e))) "POLYLINE")
    (progn
      (while (and (setq e (entnext e))
               (/= (cdr (assoc 0 (setq ed (entget e)))) "SEQEND")
             )
        (setq pts (cons ed pts))
      )
    )
  )
  (reverse pts)
)

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-5-28 09:20 , Processed in 0.140578 second(s), 37 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表